%global srcname olefile
%global _description \
olefile is a Python package to parse, read and write Microsoft OLE2 files\
(also called Structured Storage, Compound File Binary Format or Compound\
Document File Format), such as Microsoft Office 97-2003 documents,\
vbaProject.bin in MS Office 2007+ files, Image Composer and FlashPix files,\
Outlook messages, StickyNotes, several Microscopy file formats, McAfee\
antivirus quarantine files, etc.

Name:           python-%{srcname}
Version:        0.46
Release:        2%{?dist}
Summary:        Python package to parse, read and write Microsoft OLE2 files

License:        BSD
URL:            https://pypi.python.org/pypi/olefile/
Source0:        https://files.pythonhosted.org/packages/source/o/%{srcname}/%{srcname}-%{version}.zip

BuildArch:      noarch


%description %{_description}


%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel
# There is python-sphinx in RHEL 7, but it's too old
%if 0%{?fedora}
BuildRequires:  python2-sphinx
%endif
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname} %{_description}

Python2 version.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
# There is no python34-sphinx package in EPEL 7
%if 0%{?fedora}
BuildRequires:  python%{python3_pkgversion}-sphinx
%endif
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname} %{_description}

Python3 version.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py2_build
%if 0%{?fedora}
make -C doc html BUILDDIR=_build_py2 SPHINXBUILD=sphinx-build-%python2_version
%endif

%py3_build
%if 0%{?fedora}
make -C doc html BUILDDIR=_build_py3 SPHINXBUILD=sphinx-build-%python3_version
%endif


%install
%py2_install
%py3_install


%check
# Tests got left out in the 0.44 source archive
# https://github.com/decalage2/olefile/issues/56
# PYTHONPATH=%%{buildroot}%%{python2_sitelib} %%{__python2} tests/test_olefile.py
# PYTHONPATH=%%{buildroot}%%{python3_sitelib} %%{__python3} tests/test_olefile.py


%files -n python2-%{srcname}
%doc README.md
%if 0%{?fedora}
%doc doc/_build_py2/html
%endif
%license doc/License.rst
%{python2_sitelib}/olefile-*.egg-info
%{python2_sitelib}/olefile/

%files -n python%{python3_pkgversion}-%{srcname}
%doc README.md
%if 0%{?fedora}
%doc doc/_build_py3/html
%endif
%license doc/License.rst
%{python3_sitelib}/olefile-*.egg-info
%{python3_sitelib}/olefile/


%changelog
* Fri Mar 08 2019 Troy Dawson <tdawson@redhat.com> - 0.46-2
- Rebuilt to change main python from 3.4 to 3.6

* Tue Sep 11 2018 Sandro Mani <manisandro@gmail.com> - 0.46-1
- Update to 0.46

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.45.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 16 2018 Miro Hrončok <mhroncok@redhat.com> - 0.45.1-2
- Rebuilt for Python 3.7

* Mon Feb 12 2018 Sandro Mani <manisandro@gmail.com> - 0.45.1-1
- Update to 0.45.1

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.44-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Oct 04 2017 Robert Scheck <robert@fedoraproject.org> - 0.44-4
- Added spec file conditionals to build for EPEL 7 (#1498616)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.44-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.44-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Sandro Mani <manisandro@gmail.com> - 0.44-1
- Update to 0.44

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 0.44-0.4.gitbc9d196
- Fix incorrect line endings
- Remove shebang from non-executable scripts

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 0.44-0.3.gitbc9d196
- Further reduce duplicate text
- Add python_provides

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 0.44-0.2.gitbc9d196
- Use %%py_build and %%py_install macros
- Use %%summary, %%url to reduce duplicate text
- Add %%check
- Move BR to subpackages

* Mon Jan 02 2017 Sandro Mani <manisandro@gmail.com> - 0.44-0.1.gitbc9d196
- Initial package
